swSigmaTheta {oce} | R Documentation

## Seawater potential density anomaly

### Description

Compute sigma-theta, the potential density of seawater, minus 1000 kg/m^3.

### Usage

    swSigmaTheta(salinity, temperature=NULL, pressure=NULL, referencePressure=0,
        longitude=300, latitude=30, eos=getOption("oceEOS", default="gsw"))

### Arguments

`salinity` | either practial salinity or an `oce` object; see “Details”.
`temperature` | in-situ temperature [degC], defined on the ITS-90 scale; see “Temperature units” in the documentation for `swRho`.
`pressure` | pressure [dbar].
`referencePressure` | reference pressure [dbar], e.g. 0 for sigma_0) calculation.
`longitude` | longitude of observation (only used if `eos="gsw"`).
`latitude` | latitude of observation (only used if `eos="gsw"`).
`eos` | name of equation of state to be used, either `"unesco"` or `"gsw"`.

### Details

If the first argument is an `oce` object, then salinity, etc., are extracted from it, and used for the calculation instead of any values provided in the other arguments.

### Value

Potential density anomaly [kg/m^3], defined as sigma_theta=rho(S,theta(S,t,p),0) - 1000 kg/m^3.

### Author(s)

Dan Kelley

### References

See citations provided in the `swRho` documentation.

### See Also

Related density routines include: `swRho`, `swSigma`, `swSigmaTheta`, `swSigma0`, etc.

### Examples

    swSigmaTheta(35, 13, 1000)             # 26.42514 (gsw)
    swSigmaTheta(35, 13, 1000, eos="unesco") # 26.4219

[Package oce version 0.9-18 Index]